VERSION 5.00
Begin VB.Form FormMain 
   Caption         =   "OberflchenSymbole"
   ClientHeight    =   495
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   3000
   ControlBox      =   0   'False
   Icon            =   "Oberflaechen.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   495
   ScaleWidth      =   3000
   StartUpPosition =   1  'Fenstermitte
   Begin VB.Label LabelMeldung 
      AutoSize        =   -1  'True
      Caption         =   "..."
      Height          =   195
      Left            =   600
      TabIndex        =   0
      Top             =   120
      Width           =   135
   End
End
Attribute VB_Name = "FormMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Copyright (C) 2003  Jrgen Niesner, Stefan Rhrl
'This program is free software; you can redistribute it and/or modify it under the terms of the
'GNU General Public License as published by the Free Software Foundation; either version 2 of the
'License, or (at your option) any later version.

'This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
'even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
'GNU General Public License for more details.

'You should have received a copy of the GNU General Public License along with this program; if not,
'write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
'
'Auf Deutsch (ohen Garantie fr die bersetzung)
'Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der GNU General Public License,
'wie von der Free Software Foundation verffentlicht, weitergeben und/oder modifizieren, entweder gem
'Version 2 der Lizenz oder (nach Ihrer Option) jeder spteren Version.

'Die Verffentlichung dieses Programms erfolgt in der Hoffnung, da es Ihnen von Nutzen sein wird, aber
'OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FR
'EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.

'Sie sollten eine Kopie der GNU General Public License zusammen mit diesem Programm erhalten haben. Falls
'nicht, schreiben Sie an die Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

'=========================


' Stellt die Verbindung zu einem Draft-Document her und startet die Oberflchenklasse

Option Explicit

Private bProgrammAktiv As Boolean

Private DraftApp As SolidEdgeFramework.Application
Private DraftDoc As SolidEdgeDraft.DraftDocument

' Formular laden, Programm starten
Private Sub Form_Activate()
    If (App.PrevInstance = False) Then
        Dim Oberfl As clsOberflaechenAnalyse
        bProgrammAktiv = True
            SolidEdgeDraftOeffnen
            
                Set Oberfl = New clsOberflaechenAnalyse
                    Oberfl.starten DraftDoc, LabelMeldung          ' Ein Label fr die Meldungen
                Set Oberfl = Nothing
            
            SolidEdgeDraftSchliessen
        bProgrammAktiv = False
    Else
        ' nicht ausfhren, da das Programm bereits aufgerufen wurde !
    End If
    Unload FormMain
End Sub

' greift auf ein geffnetes SolidEdge-Draft-Objekt zu
Private Sub SolidEdgeDraftOeffnen()
    On Error Resume Next
    Set DraftApp = GetObject(, "SolidEdge.Application")
        If (Err <> 0) Then
            Err.Clear
            MsgBox "SolidEdge nicht aktiv!", vbOKOnly + vbInformation, "Hinweis"
            End
        Else
            Set DraftDoc = DraftApp.ActiveDocument
                If (Err <> 0) Then
                    Err.Clear
                    MsgBox "Kein Draft-Dokument in SolidEdge geffnet", vbOKOnly + vbInformation, "Hinweis"
                    End                                                             ' Programm beenden !
                End If
            
            'DraftApp.Interactive = False            ' SolidEdge sperren
        End If
    On Error GoTo 0
End Sub
' Programm beenden
Private Sub SolidEdgeDraftSchliessen()
    Set DraftDoc = Nothing
        DraftApp.Interactive = True
    Set DraftApp = Nothing
End Sub

' So lange das Programm luft, nicht abbrechen !
Private Sub Form_Unload(Cancel As Integer)
    If (bProgrammAktiv = True) Then
        Cancel = True
    End If
End Sub
